%define cvs_date 20060920

# Note that this is NOT a relocatable package
Name: emotion
Version: 0.0.1.004
Release: alt1.%cvs_date

Summary: Emotion is an Evas smart-object library providing video capabilities.
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org/

Source0: %name-%version-%cvs_date.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: libedje-devel >= 0.5.0.032-alt1.20060920
BuildPreReq: libembryo-devel >= 0.9.1.032-alt1.20060920

# Automatically added by buildreq on Wed Sep 20 2006
BuildRequires: edje fontconfig-devel gcc-c++ gcc-fortran glibc-devel-static gst-pulse gstreamer-devel gstreamer-utils libcurl-devel libedje-devel libembryo-devel libfreetype-devel libjpeg-devel libXcursor-devel libXdamage-devel libxine-devel libXinerama-devel libXp-devel libXrandr-devel libXScrnSaver-devel linux-libc-headers packages-info-i18n-common

#BuildRequires: edje fontconfig freetype2 gcc-c++ hostinfo imlib2 libecore-devel libedje-devel libeet-devel libembryo-devel libevas-devel libjpeg-devel libstdc++-devel libxine-devel nvidia_glx_common xorg-x11-libs xorg-x11-mesaGL zlib-devel
#BuildRequires: XFree86-devel XFree86-libs ecore-test freetype2 gcc-c++ hostinfo libecore-devel libedb-devel libedje-devel libeet-devel libembryo-devel libevas-devel libstdc++-devel libxine-devel zlib-devel

%description
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages libxine 1.0 and integrates seemlessly with the rest of the EFL.
Because its based on libxine, any format that it supports (Theora, DiVX, MPEG2,
etc) is avalible using Emotion.

%package -n lib%name
Summary: emotion library
Group: System/Libraries

%description -n lib%name
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages libxine 1.0 and integrates seemlessly with the rest of the EFL.
Because its based on libxine, any format that it supports (Theora, DiVX, MPEG2,
etc) is avalible using Emotion.

This package contains shared emotion library.

%package -n lib%name-devel
Summary: emotion headers and development libraries
Group: Development/C
Requires: lib%name = %version

%description -n lib%name-devel
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages libxine 1.0 and integrates seemlessly with the rest of the EFL.
Because its based on libxine, any format that it supports (Theora, DiVX, MPEG2,
etc) is avalible using Emotion.

This package contains emotion headers and development libraries

%package -n lib%name-devel-static
Summary: emotion static libraries
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name-devel-static
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages libxine 1.0 and integrates seemlessly with the rest of the EFL.
Because its based on libxine, any format that it supports (Theora, DiVX, MPEG2,
etc) is avalible using Emotion.

This package contains static libraries

%package -n %name-xine
Summary: emotion plugin for xine
Group: System/Libraries
Requires: lib%name = %version

%description -n %name-xine
emotion plugin for xine

%package -n %name-gstreamer
Summary: emotion plugin for gstreamer
Group: System/Libraries
Requires: lib%name = %version

%description -n %name-gstreamer
emotion plugin for gstreamer

%package -n %name-test
Summary: emotion test programs
Group: Development/C
Requires: lib%name = %version

%description -n %name-test
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages libxine 1.0 and integrates seemlessly with the rest of the EFL.
Because its based on libxine, any format that it supports (Theora, DiVX, MPEG2,
etc) is avalible using Emotion.

This package contains test programs from emotion ditribution

%prep
%setup -q -n %name

%build
export NOCONFIGURE=yes
sh autogen.sh

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n %name-test
%exclude %_bindir/*-config
%_bindir/*

%files -n lib%name
%_libdir/*.so.*
%_datadir/%name/
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*.h
%_libdir/%name/
%_libdir/pkgconfig/emotion.pc
%_libdir/*.so

%files -n %name-xine
%_libdir/emotion/*xine*

%files -n %name-gstreamer
%_libdir/emotion/*gstreamer*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Sep 20 2006 Igor Zubkov <icesik@altlinux.org> 0.0.1.004-alt1.20060920
- 20050530 -> 20060920
- buildreq

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.1-alt0.2_002_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.0.1-alt0.2_002_20050329
- updated from cvs.
- added %name-test package
- removed empty %name package

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.0.1-alt0.1_20050122
- updated from cvs.

* Mon Dec 20 2004 Alex Murygin <murygin@altlinux.ru> 0.0.1-alt0.1_20041216
- First build for Sisyphus.

